import request from '@/utils/request'

// 查询发展定位列表
export function listDevelopment(query) {
  return request({
    url: '/info/development/list',
    method: 'get',
    params: query
  })
}

// 查询发展定位详细
export function getDevelopment(id) {
  return request({
    url: '/info/development/' + id,
    method: 'get'
  })
}

// 新增发展定位
export function addDevelopment(data) {
  return request({
    url: '/info/development',
    method: 'post',
    data: data
  })
}

// 修改发展定位
export function updateDevelopment(data) {
  return request({
    url: '/info/development',
    method: 'put',
    data: data
  })
}

// 删除发展定位
export function delDevelopment(id) {
  return request({
    url: '/info/development/' + id,
    method: 'delete'
  })
}

// 导出发展定位
export function exportDevelopment(query) {
  return request({
    url: '/info/development/export',
    method: 'get',
    params: query
  })
}
